import type { VNode, RendererNode, RendererElement, Slots } from 'vue';
import type { ValidationRule } from 'ant-design-vue/lib/form/Form';
import { ComponentType } from './types';
import type { Recordable } from '../typings/global';
export declare const dateItemType: string[];
export declare function setComponentRuleType(rule: ValidationRule, component: ComponentType, valueFormat: string): void;
export declare function processDateValue(attr: Recordable, component: string): void;
export declare function handleInputNumberValue(component?: ComponentType, val?: any): any;
export declare function createPlaceholderMessage(component: ComponentType): "请选择" | "" | "请输入" | undefined;
export declare function getSlot(slots: Slots, slot?: string, data?: any): VNode<RendererNode, RendererElement, {
    [key: string]: any;
}>[] | null;
